/*
 * Copyright (C) 2007 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.test;

import android.app.Activity;
import android.app.PendingIntent;
import android.content.Intent;
import android.os.Bundle;
import android.telephony.gsm.SmsManager;
import android.util.Log;

public class SMSSender extends Activity {


  /** Called when the activity is first created. */
  @Override
  public void onCreate(Bundle icicle) {
    super.onCreate(icicle);
    setContentView(R.layout.main);
    SmsManager smsManager = SmsManager.getDefault();
    String destAddr = "5556", scAddr = null, mMessageText =
        "This is test message";
    PendingIntent sentIntent = null, deliveryIntent = null;
    try {
      PendingIntent il = PendingIntent.getBroadcast(this, 0, new Intent(), 0);
      smsManager.sendTextMessage(destAddr, null, mMessageText, il, null);
    } catch (Exception e) {
      Log.i("TEST", e.toString());
    }
  }
}
